{ config, pkgs, ... }:
{
  imports = [
      <nixpkgs/nixos/modules/installer/cd-dvd/installation-cd-minimal.nix>
      <nixpkgs/nixos/modules/installer/cd-dvd/channel.nix>
      # ./t2.nix
      ../common.nix
  ];

  # boot.supportedFilesystems = pkgs.lib.mkForce [ "ext4" "btrfs" "squashfs" ];
  # networking.wireless.enable = pkgs.lib.mkForce false;

  # services.xserver.displayManager.autoLogin.user = pkgs.lib.mkForce "jade";
  # users.users.jade = pkgs.lib.mkForce {
  #   isNormalUser = true;
  #   extraGroups = [ "wheel" "input" "uinput" "libvirtd" ];
  #   packages = with pkgs; [
  #   ];
  # };

  jade = {
    desktop.enable = true;
    desktop.compositing = true;
  };


  networking.hostName = "potatobook-g";

  services.xserver.layout = "us";
  services.xserver.xkbVariant = "altgr-intl";

  hardware.bluetooth.enable = true;
  hardware.keyboard.uhk.enable = true;

  # missing: menu-qalc picom-jonaburg
  environment.systemPackages = with pkgs; [
    # TODO: clean up.
  ];

  environment.pathsToLink = [
    "/share/nix-direnv"
  ];

  services.blueman.enable = true;

  services.gnome.gnome-keyring.enable = true;
  programs.seahorse.enable = true;
  security.pam.services.jade.enableGnomeKeyring = true;

  # Copy the NixOS configuration file and link it from the resulting system
  # (/run/current-system/configuration.nix). This is useful in case you
  # accidentally delete configuration.nix.
  # system.copySystemConfiguration = true;

  # networking.firewall.allowedTCPPorts = [ 4713 ];
  systemd.services."NetworkManager-wait-online".enable = false;

  # release channel
  system.stateVersion = "22.05"; # Did you read the comment?
}

